Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ode
Class DormandPrince

    java.lang.Object
      biouml.plugins.simulation.ode.DormandPrince

All Implemented Interfaces:
  Simulator

public class DormandPrince
extends java.lang.Object
implements Simulator

Nested Class Summary
`static class` | `DormandPrince.Options`

Constructor Summary
`DormandPrince()`

Method Summary
`java.lang.Object` | `getDefaultOptions()` Returns default options for the simulator.
`int` | `getEvent()`
`SimulatorInfo` | `getInfo()` Returns simulator description.
`double[]` | `getProfile()`
`protected void` | `init(OdeModel function, Span tspan, double[] x0, double h0, double[] atol, double[] rtol, boolean stiffnessDetection, boolean eventLocation, java.lang.String stats)`
`void` | `routine()`
`void` | `start(Model model, double[] initialValues, Span tspan, java.lang.Object options, ResultListener[] listeners, SimulatorJobControl jobControl, double[] atol, double[] rtol)`
`void` | `start(Model model, Span tspan, java.lang.Object options, ResultListener[] listeners, SimulatorJobControl jobControl, double[] atol, double[] rtol)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DormandPrince

    public DormandPrince()

Method Detail

### stop

    public void stop()

  Specified by:
    `stop` in interface `Simulator`

### getInfo

    public SimulatorInfo getInfo()

  Description copied from interface: `Simulator`
  Returns simulator description.

  Specified by:
    `getInfo` in interface `Simulator`

### getDefaultOptions

    public java.lang.Object getDefaultOptions()

  Description copied from interface: `Simulator`
  Returns default options for the simulator.

  Specified by:
    `getDefaultOptions` in interface `Simulator`

### start

    public void start(Model model,
                      Span tspan,
                      java.lang.Object options,
                      ResultListener[] listeners,
                      SimulatorJobControl jobControl,
                      double[] atol,
                      double[] rtol)
               throws java.lang.Exception

  Specified by:
    `start` in interface `Simulator`
  Throws:
    `java.lang.Exception`

### start

    public void start(Model model,
                      double[] initialValues,
                      Span tspan,
                      java.lang.Object options,
                      ResultListener[] listeners,
                      SimulatorJobControl jobControl,
                      double[] atol,
                      double[] rtol)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    protected void init(OdeModel function,
                        Span tspan,
                        double[] x0,
                        double h0,
                        double[] atol,
                        double[] rtol,
                        boolean stiffnessDetection,
                        boolean eventLocation,
                        java.lang.String stats)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### routine

    public void routine()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getProfile

    public double[] getProfile()

### getEvent

    public int getEvent()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.